summaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
-rwxr-xr-xinstall.sh5
1 files changed, 1 insertions, 4 deletions
diff --git a/install.sh b/install.sh
index 9db77d6..2d14b2e 100755
--- a/install.sh
+++ b/install.sh
@@ -8,10 +8,7 @@ INSTALL_DIR="$(dirname "$SCRIPT_DIR")"
long='install,clean,clean-only,no,simulate,verbose,help'
short='icCnvh'
-opts="$(getopt -o $short -l $long -n "$SCRIPT" -- "$@")"
-
-# shellcheck disable=2181
-if [ $? != 0 ]; then
+if ! opts="$(getopt -o $short -l $long -n "$SCRIPT" -- "$@")"; then
exit 1
fi